### Signal

# Clutter ClickAction::long-press

#### Declaration

    gboolean
    long_press (
      ClutterClickAction* self,
      ClutterActor* actor,
      ClutterLongPressState state,
      gpointer user_data
    )

#### Description [src]

The signal is emitted during the long press gesture handling.

This signal can be emitted multiple times with different states.

The `CLUTTER_LONG_PRESS_QUERY` state will be emitted on button presses, and its return value will determine whether the long press handling should be initiated. If the signal handlers will return `TRUE`, the `CLUTTER_LONG_PRESS_QUERY` state will be followed either by a signal emission with the `CLUTTER_LONG_PRESS_ACTIVATE` state if the long press constraints were respected, or by a signal emission with the `CLUTTER_LONG_PRESS_CANCEL` state if the long press was cancelled.

It is possible to forcibly cancel a long press detection using `clutter_click_action_release()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`actor`

  Type: `ClutterActor`

  The `ClutterActor` attached to the `action`.

  The data is owned by the caller of the function.

`state`

  Type: `ClutterLongPressState`

  The long press state.

#### Return value

Type: `gboolean`

Only the `CLUTTER_LONG_PRESS_QUERY` state uses the returned value of the handler; other states will ignore it.